import request from '@/utils/request'

// 查询验证任务列表
export function listTask(query) {
  return request({
    url: '/biz/task/list',
    method: 'get',
    params: query
  })
}

// 查询验证任务详细
export function getTask(id) {
  return request({
    url: '/biz/task/' + id,
    method: 'get'
  })
}

// 新增验证任务
export function addTask(data) {
  return request({
    url: '/biz/task',
    method: 'post',
    data: data
  })
}

// 修改验证任务
export function updateTask(data) {
  return request({
    url: '/biz/task',
    method: 'put',
    data: data
  })
}

// 删除验证任务
export function delTask(id) {
  return request({
    url: '/biz/task/' + id,
    method: 'delete'
  })
}

// 最新验证任务详细
export function getLastTask() {
  return request({
    url: '/biz/task/last',
    method: 'get'
  })
}
